Home | Modules | Class Hierarchy | Alphabetical List | Compound List | Related Pages

# RegionMapper Class Reference
[Handlers]

Inheritance diagram for RegionMapper:

## Detailed Description

Abstract interface to perform Region -> RegionDefine mappings.

## Public Member Functions
virtual const RegionDefine * | getRegionDefine (const Region *region) const =0
| Searches mapped region define value.
virtual const RegionDefine * | getRegionDefine (const String &name) const =0
| Searches mapped region define value with qualified name `name`.

## Member Function Documentation

virtual const RegionDefine* RegionMapper::getRegionDefine | ( | const Region * | region | ) | const`[pure virtual]`

| Searches mapped region define value. Returns: Region define, associated with passed `region` parameter, or null if nothing found

Colorer-take5 Library. Copyright © 1999-2006 Igor Russkih.
Generated at Fri Nov 24 17:13:14 2006 by doxygen 1.4.6.